$:.unshift "/opt/puppet/share/rubycas-server/lib"
require "casserver/authenticators/sql_encrypted"

class User < ActiveRecord::Base
  establish_connection 'console_auth'

  include CASServer::Authenticators::SQLEncrypted::EncryptedPassword
  attr_accessible :id, :username, :encrypted_password, :encryption_salt

  validates_presence_of :encrypted_password, :on => :save
  validates_presence_of :encryption_salt, :on => :save
  validates_presence_of :username
  validates_uniqueness_of :username
end
